shibsp Namespace Reference

Shibboleth Service Provider Library. More...

## Classes

class | AbstractSPRequest
| Abstract base for SPRequest implementations. More...
class | AccessControl
| Interface to an access control plugin. More...
class | Application
| Interface to a Shibboleth Application instance. More...
class | Attribute
| A resolved attribute. More...
class | AttributeDecoder
| Decodes XML objects into resolved Attributes. More...
class | BinaryAttribute
| An Attribute whose values are binary data. More...
class | ExtensibleAttribute
| An Attribute whose values are arbitrary structures. More...
class | AttributeFilter
| Engine for filtering attribute values. More...
class | BasicFilteringContext
| A trivial FilteringContext implementation. More...
class | FilteringContext
| Context for attribute filtering operations. More...
class | FilterPolicyContext
| Context for lookup of instantiated MatchFunctor objects. More...
class | MatchFunctor
| A function that evaluates whether an expressed criteria is met by the current filter context. More...
class | NameIDAttribute
| An Attribute whose values are derived from or mappable to a SAML NameID. More...
class | AttributeExtractor
| A service that extracts and decodes attributes from XML objects. More...
class | AttributeResolver
| The service that resolves the attributes for a particular subject. More...
class | ResolutionContext
| A context for a resolution request. More...
class | ScopedAttribute
| An Attribute whose values are relations of a value and a scope. More...
class | SimpleAttribute
| An Attribute whose values are simple strings. More...
class | XMLAttribute
| An Attribute whose values are serialized XML. More...
class | ArtifactResolver
| SAML artifact resolver for SP use. More...
class | ProtocolProvider
| Interface to protocol, binding, and default endpoint information. More...
class | SOAPClient
| Specialized SOAPClient for SP environment. More...
class | AbstractHandler
| Base class for handlers based on a DOMPropertySet. More...
class | AssertionConsumerService
| Base class for handlers that create sessions by consuming SSO protocol responses. More...
class | Handler
| Pluggable runtime functionality that implement protocols and services. More...
class | LogoutHandler
| Base class for logout-related handlers. More...
class | LogoutInitiator
| Pluggable runtime functionality that handles initiating logout. More...
class | RemotedHandler
| Base class for handlers that need HTTP request/response layer to be remoted. More...
class | SecuredHandler
| Pluggable runtime functionality that is protected by simple access control. More...
class | SessionInitiator
| Pluggable runtime functionality that handles initiating sessions. More...
class | SSCache
class | StoredSession
class | XMLApplication
class | XMLConfigImpl
class | XMLConfig
struct | MetadataProviderCriteria
| Extended criteria for metadata lookup for Shibboleth-aware metadata providers. More...
class | DDF
| DDF objects are implemented with a handle-body idiom and require explicit destruction in order to allow stack objects to be freely mixed in structures with heap objects. More...
class | DDFJanitor
| A "smart pointer" for disposing of DDF objects when they leave scope. More...
class | SocketListener
| Berkeley Socket-based ListenerService implementation. More...
class | Remoted
| Interface to a remoted service. More...
class | ListenerService
| Interface to a remoting engine. More...
class | RequestMapper
| Interface to a request mapping plugin. More...
class | SecurityPolicy
| SP-specific SecurityPolicy subclass. More...
class | SecurityPolicyProvider
| Interface to a source of security policy settings and rules. More...
class | ServiceProvider
| Interface to a Shibboleth ServiceProvider instance. More...
class | Session
| Encapsulates access to a user's security session. More...
class | SessionCache
| Creates and manages user sessions. More...
class | SPConfig
| Singleton object that manages library startup/shutdown. More...
class | SPRequest
| Interface to server request being processed. More...
class | TransactionLog
| Interface to a synchronized event/audit logging object. More...
class | LoginEvent
class | LogoutEvent
class | AuthnRequestEvent
class | CGIParser
| CGI GET/POST parameter parsing. More...
class | DOMPropertySet
| DOM-based property set implementation. More...
class | IPRange
| Represents a range of IP addresses. More...
class | PropertySet
| Interface to a generic set of typed properties or a DOM container of additional data. More...
class | TemplateParameters
| Supplies xmltooling TemplateEngine with additional parameters. More...

## Functions

void | registerAccessControls ()
| Registers AccessControl classes into the runtime.
void | registerAttributeFactories ()
| Registers built-in Attribute types into the runtime.
void | registerAttributeDecoders ()
| Registers built-in AttributeDecoders into the runtime.
void | registerAttributeFilters ()
| Registers AttributeFilter classes into the runtime.
void | registerMatchFunctors ()
| Registers MatchFunctor classes into the runtime.
void | registerAttributeExtractors ()
| Registers AttributeExtractor classes into the runtime.
void | registerAttributeResolvers ()
| Registers AttributeResolver classes into the runtime.
void | registerProtocolProviders ()
| Registers ProtocolProvider classes into the runtime.
| DECL_XMLTOOLING_EXCEPTION (AttributeException,, shibsp, xmltooling::XMLToolingException, Exceptions during attribute processing.)
| DECL_XMLTOOLING_EXCEPTION (AttributeExtractionException,, shibsp, shibsp::AttributeException, Exceptions during attribute extraction.)
| DECL_XMLTOOLING_EXCEPTION (AttributeFilteringException,, shibsp, shibsp::AttributeException, Exceptions during attribute filtering.)
| DECL_XMLTOOLING_EXCEPTION (AttributeResolutionException,, shibsp, shibsp::AttributeException, Exceptions during attribute resolution.)
| DECL_XMLTOOLING_EXCEPTION (ConfigurationException,, shibsp, xmltooling::XMLToolingException, Exceptions during configuration.)
| DECL_XMLTOOLING_EXCEPTION (ListenerException,, shibsp, xmltooling::XMLToolingException, Exceptions during inter-process communication.)
void | registerHandlers ()
| Registers Handler implementations.
void | registerLogoutInitiators ()
| Registers LogoutInitiator implementations.
void | registerSessionInitiators ()
| Registers SessionInitiator implementations.
| BEGIN_XMLOBJECT (, Scope, xmltooling::XMLObject, Scope element)
| DECL_BOOLEAN_ATTRIB (Regexp, REGEXP, false)
| DECL_SIMPLE_CONTENT (Value)
| BEGIN_XMLOBJECT (, KeyAuthority, xmltooling::AttributeExtensibleXMLObject, KeyAuthority element)
| DECL_INTEGER_ATTRIB (VerifyDepth, VERIFYDEPTH)
| DECL_TYPED_FOREIGN_CHILDREN (KeyInfo, xmlsignature)
| DECL_XMLOBJECTBUILDER (, Scope, shibspconstants::SHIBMD_NS, shibspconstants::SHIBMD_PREFIX)
| DECL_XMLOBJECTBUILDER (, KeyAuthority, shibspconstants::SHIBMD_NS, shibspconstants::SHIBMD_PREFIX)
void | registerMetadataExtClasses ()
| Registers builders and validators for Shibboleth metadata extension classes into the runtime.
std::ostream & | operator<< (std::ostream &os, const DDF &obj)
| Serializes a DDF object to a stream.
std::istream & | operator>> (std::istream &is, DDF &obj)
| Reconstitutes a DDF object from a stream.
void | registerListenerServices ()
| Registers ListenerService classes into the runtime.
void | registerRequestMappers ()
| Registers RequestMapper classes into the runtime.
void | registerPKIXTrustEngine ()
| Registers trust engine plugin.
void | registerSecurityPolicyProviders ()
| Registers SecurityPolicyProvider classes into the runtime.
void | registerServiceProviders ()
| Registers ServiceProvider classes into the runtime.
void | registerSessionCaches ()
| Registers SessionCache classes into the runtime.
void | registerEvents ()
| Registers Event classes into the runtime.

## Variables

xmltooling::QName | StringAttributeDecoderType
| Decodes into a SimpleAttribute.
xmltooling::QName | ScopedAttributeDecoderType
| Decodes scoped and NameID attributes into a ScopedAttribute.
xmltooling::QName | NameIDAttributeDecoderType
| Decodes NameID information into a NameIDAttribute.
xmltooling::QName | NameIDFromScopedAttributeDecoderType
| Decodes scoped attributes into a NameIDAttribute.
xmltooling::QName | KeyInfoAttributeDecoderType
| Decodes KeyInfo information into a SimpleAttribute.
xmltooling::QName | DOMAttributeDecoderType
| Decodes arbitrary DOM information into an ExtensibleAttribute.
xmltooling::QName | XMLAttributeDecoderType
| Decodes arbitrary XML into an XMLAttribute.
xmltooling::QName | Base64AttributeDecoderType
| Decodes base64-encoded data into a SimpleAttribute.
xmltooling::QName | AnyMatchFunctorType
| Always evaluates to true.
xmltooling::QName | AndMatchFunctorType
| Conjunction MatchFunctor.
xmltooling::QName | OrMatchFunctorType
| Disjunction MatchFunctor.
xmltooling::QName | NotMatchFunctorType
| Negating MatchFunctor.
xmltooling::QName | AttributeIssuerStringType
| Matches the issuing entity's name.
xmltooling::QName | AttributeRequesterStringType
| Matches the requesting entity's name.
xmltooling::QName | AuthenticationMethodStringType
| Matches the principal's authentication method/class or context reference.
xmltooling::QName | AttributeValueStringType
| Matches an attribute's string value.
xmltooling::QName | AttributeScopeStringType
| Matches an attribute's "scope".
xmltooling::QName | AttributeIssuerRegexType
| Matches the issuing entity's name.
xmltooling::QName | AttributeRequesterRegexType
| Matches the requesting entity's name.
xmltooling::QName | AuthenticationMethodRegexType
| Matches the principal's authentication method/class or context reference.
xmltooling::QName | AttributeValueRegexType
| Matches an attribute's string value.
xmltooling::QName | AttributeScopeRegexType
| Matches an attribute's "scope".
xmltooling::QName | NumberOfAttributeValuesType
| Matches based on the number of values.
xmltooling::QName | AttributeIssuerInEntityGroupType
| Matches based on metadata groups of issuer.
xmltooling::QName | AttributeRequesterInEntityGroupType
| Matches based on metadata groups of requester.
xmltooling::QName | AttributeIssuerEntityAttributeExactMatchType
| Matches based on entity attributes of issuer.
xmltooling::QName | AttributeRequesterEntityAttributeExactMatchType
| Matches based on entity attributes of requester.
xmltooling::QName | AttributeIssuerEntityAttributeRegexMatchType
| Matches based on entity attributes of issuer and a regex.
xmltooling::QName | AttributeRequesterEntityAttributeRegexMatchType
| Matches based on entity attributes of requester and a regex.
xmltooling::QName | AttributeIssuerNameIDFormatType
| Matches based on NameIDFormats of issuer.
xmltooling::QName | AttributeRequesterNameIDFormatType
| Matches based on NameIDFormats of requester.
xmltooling::QName | AttributeIssuerEntityMatcherType
| Matches based on issuer and pluggable criteria.
xmltooling::QName | AttributeRequesterEntityMatcherType
| Matches based on requester and pluggable criteria.
xmltooling::QName | AttributeScopeMatchesShibMDScopeType
| Matches scope based on metadata Scope extensions.
xmltooling::QName | AttributeValueMatchesShibMDScopeType
| Matches value based on metadata Scope extensions.
xmltooling::QName | NameIDQualifierStringType
| Matches based on NameID NameQualifiers.
xmltooling::QName | AttributeIssuerRegistrationAuthorityType
| Matches based on RegistrationAuthority extension in issuer's metadata.
xmltooling::QName | RegistrationAuthorityType
| Matches based on RegistrationAuthority extension in requester's metadata.
| END_XMLOBJECT

## Detailed Description

Shibboleth Service Provider Library.

## Function Documentation

## operator<<()

std::ostream & shibsp::operator<< | ( | std::ostream & | os,
|  | const DDF & | obj )

Serializes a DDF object to a stream.

Parameters

  os | output stream
  obj | DDF object to serialize

Returns
  reference to the output stream

## operator>>()

std::istream & shibsp::operator>> | ( | std::istream & | is,
|  | DDF & | obj )

Reconstitutes a DDF object from a stream.

Parameters

  is | input stream
  obj | DDF object to reconstitute

Returns
  reference to the input stream